class_name TapNote extends NoteVisual

var hit_beat: float = -999.0

var id: int = -1

func reset() -> void:
	id = -1
	hit_beat = -999.0
	position = Vector2(0, 9999.0)

func in_use() -> bool:
	return id >= 0

func update(beat: float) -> void:
	position.y = _calculate_scroll(hit_beat, beat)
